#!/usr/bin/python
# A_waveform_envelope_display.py 2021-07-06 D. Gibbon

import sys, re										# import specialised modules
import matplotlib.pyplot as plt
import scipy.io.wavfile as wave

if len(sys.argv) > 1:
	wavfilename = sys.argv[1]						# get input filename from command line 
else:
	wavfilename = "DATA/one-to-ten-Putonghua-Lara-16k-mono.wav"
wavfilebase = re.sub("^.*/","",wavfilename)
wavfilebase = re.sub("-16k-mono","",wavfilebase[:-4])
figurefilename = "PNG/A_%s.png"%wavfilebase

fs, signal = wave.read(wavfilename)					# read sampling frequency and signal

plt.plot(signal)									# plot waveform in grey
plt.savefig(figurefilename)
plt.show()											# display figure
